Package org.python.modules

# Class _sre

java.lang.Object
org.python.modules._sre

public class _sre extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`CODESIZE`
`static int`
`MAGIC`
`static int`
`MAXREPEAT`

## Constructor Summary

Constructors
Constructor
Description
`_sre()`

## Method Summary

Modifier and Type
Method
Description
`static PatternObject`
`compile(PyString pattern, int flags, PyObject code, int groups, PyObject groupindex, PyObject indexgroup)`
`static int`
`getcodesize()`
`static int`
`getlower(int ch, int flags)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAGIC

public static int MAGIC

### MAXREPEAT

public static int MAXREPEAT

### CODESIZE

public static int CODESIZE

## Constructor Details

### _sre

public _sre()

## Method Details

### compile

public static PatternObject compile(PyString pattern, int flags, PyObject code, int groups, PyObject groupindex, PyObject indexgroup)

### getcodesize

public static int getcodesize()

### getlower

public static int getlower(int ch, int flags)